%define major	0
%define libname %mklibname gnomebt %{major}

Name: 	 	gnome-bluetooth
Summary: 	GNOME Bluetooth Subsystem
Version: 	0.6.0
Release: 	3mdk

Source:		http://ftp.gnome.org/pub/GNOME/sources/gnome-bluetooth/%{name}-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
# (gb) this patch applies to aclocal.m4, don't bother with specific automake/libtool versions
Patch1:		gnome-bluetooth-0.5.1-pythondir.patch.bz2
# (fc) 0.6.0-3mdk fix crash (CVS)
Patch2:		gnome-bluetooth-0.6.0-fixcrash.patch.bz2

URL:		http://usefulinc.com/software/gnome-bluetooth/
License:	GPL
Group:		Graphical desktop/GNOME
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	gettext
BuildRequires:	libbtctl-devel >= 0.5
BuildRequires:	openobex-devel
BuildRequires:	libglade2.0-devel libgnomeui2-devel libGConf2-devel
BuildRequires:	bluez-devel bluez-sdp-devel gob2 librsvg-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  pygtk2.0-devel
Requires:	pygtk2.0-libglade
Requires:	gnome-python gnome-python-gnomevfs
Provides:	gnome-obex-server

%description
The GNOME Bluetooth Subsystem contains a Bonobo server to control Bluetooth
devices, and a simple GUI to explore which devices are available
(gnome-bluetooth-admin).

%package -n %libname
Group:		System/Libraries
Summary: 	GNOME bluetooth library
Provides:   %name = %version

%description -n %libname
Library from GNOME-Bluetooth.

%package -n %libname-devel
Group:		Development/C
Summary:	Static libraries and header files from %name
Provides:	%name-devel = %version-%release
Provides:	libgnomebt-devel = %version-%release
Requires:	%libname = %version

%description -n %libname-devel
Static libraries and header files from %name

%prep
%setup -q
%patch1 -p1 -b .lib64
%patch2 -p1 -b .fixcrash

#needed by patch1
autoconf

%build
%configure2_5x --enable-shared --enable-static
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}-manager" \
icon="%{name}.png" \
needs="x11" \
title="Bluetooth Manager" \
longtitle="Bluetooth Devices Administration" \
section="More Applications/Communications"
?package(%{name}): command="gnome-obex-server" \
icon="%{name}.png" \
needs="x11" \
title="Bluetooth Server" \
longtitle="Listen for incoming files" \
section="More Applications/Communications"
?package(%{name}): command="gnome-obex-send" \
icon="%{name}.png" \
needs="x11" \
title="Bluetooth Send" \
longtitle="Send files over Bluetooth" \
section="More Applications/Communications"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit.d
cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit.d/gnome-bluetooth
DESKTOP=\$1
case \$DESKTOP in
   GNOME) exec /usr/bin/gnome-obex-server ;;
esac
exit 0
EOF
chmod 755 $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit.d/gnome-bluetooth

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%post
%{update_menus}
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gnome-obex-server.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
done

%preun
if [ "$1" = "0" ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  SCHEMAS="gnome-obex-server.schemas"
  for S in $SCHEMAS; do
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
  done
fi
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%config(noreplace) %{_sysconfdir}/X11/xinit.d/gnome-bluetooth
%_sysconfdir/gconf/schemas/gnome-obex-server.schemas
%{_bindir}/%name-manager
%{_bindir}/gnome-obex-*
%dir %{_libdir}/python*/site-packages/gnomebt
%{_libdir}/python*/site-packages/gnomebt/*.py
%{_libdir}/python*/site-packages/gnomebt/*.so
%{_datadir}/%name
%{_datadir}/applications/*.desktop
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/%name
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/python*/site-packages/gnomebt/*.a
%{_libdir}/python*/site-packages/gnomebt/*.la
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Sep 05 2005 Frederic Crozat <fcrozat@mandriva.com> 0.6.0-3mdk 
- Patch2 (CVS): fix crash

* Mon Aug 29 2005 Austin Acton <austin@mandriva.org> 0.6.0-2mdk
- requires gnome-python-gnomevfs (bug 15656)

* Wed Aug 17 2005 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdk
- add gconf schema and registration
- drop old file
- bump deps
- drop patch 0
- new version

* Mon Jan 31 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.5.1-15mdk
- fix lib64 patch

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-14mdk 
- Rebuild with latest howl

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.5.1-13mdk
- Rebuild for new python

* Mon Oct 18 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.5.1-12mdk
- lib64 fixes (aka pythondir path)

* Fri Oct 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-11mdk
- Fix Buildrequires again

* Wed Sep 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-10mdk
- Fix buildrequires

* Sun Sep 12 2004 Austin Acton <austin@mandrake.org> 0.5.1-9mdk
- add send dialog to menu

* Fri Aug 20 2004 Austin Acton <austin@mandrake.org> 0.5.1-8mdk
- new menu

* Tue Aug 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-7mdk
- Add xinit file for GNOME desktop

* Wed Jul 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-6mdk
- Patch0 : fix crash with gcc 3.4

* Mon Jul 19 2004 Austin Acton <austin@mandrake.org> 0.5.1-5mdk
- rebuild for new bluez

* Fri Jul 16 2004 Austin Acton <austin@mandrake.org> 0.5.1-4mdk
- requires gnome-python
- move bonobo plugin to main package
- add icon for server
- better group and menu location

* Sat Jun 19 2004 Austin Acton <austin@mandrake.org> 0.5.1-3mdk
- requires pygtk2.0-libglade

* Sat Jun 19 2004 Austin Acton <austin@mandrake.org> 0.5.1-2mdk
- move python .so to main package

* Sat Jun 19 2004 Austin Acton <austin@mandrake.org> 0.5.1-1mdk
- 0.5.1

* Sat Jun 12 2004 Austin Acton <austin@mandrake.org> 0.5-1mdk
- 0.5
- configure 2.5
- libify

* Fri Feb 20 2004 David Baudens <baudens@mandrakesoft.com> 0.4.1-4mdk
- Fix menu

* Sun Dec 14 2003 Austin Acton <austin@linux.ca> 0.4.1-3mdk
- rebuild for openobex
- clean up buildrequries

* Tue Aug 5 2003 Austin Acton <aacton@yorku.ca> 0.4.1-2mdk
- rebuild for new libcroco

* Sun Jun 8 2003 Austin Acton <aacton@yorku.ca> 0.4.1-1mdk
- 0.4.1 (from James Gregory <james@james.id.au>)
- fix buildrequires

* Sun Apr 27 2003 Austin Acton <aacton@yorku.ca> 0.4-1mdk
- initial package
